### Method

# Devhelp Book get_id

#### Declaration [src]

    const gchar*
    dh_book_get_id (
      DhBook* book
    )

#### Description [src]

Gets the book ID. In the Devhelp index file format version 2, it is actually the “name”, not the ID, but “book ID” is clearer, “book name” can be confused with the title.

#### Return value

Type: `const gchar*`

The book ID.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.